/* linux/arch/arm/plat-s3c/dev-audio.c
 *
 * Copyright 2009 Wolfson Microelectronics
 *      Mark Brown <broonie@opensource.wolfsonmicro.com>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 2 as
 * published by the Free Software Foundation.
 */

#include <linux/kernel.h>
#include <linux/string.h>
#include <linux/platform_device.h>

#include <mach/irqs.h>
#include <mach/map.h>

#include <plat/devs.h>

static struct resource s5p64xx_iisv4_resource[] = {
	[0] = {
		.start = S5P64XX_PA_IIS_V40,
		.end   = S5P64XX_PA_IIS_V40 + 0x100 - 1,
		.flags = IORESOURCE_MEM,
	},
};

struct platform_device s5p64xx_device_iisv4 = {
	.name		  = "s5p64xx-iis",
	.id		  = 0,
	.num_resources	  = ARRAY_SIZE(s5p64xx_iisv4_resource),
	.resource	  = s5p64xx_iisv4_resource,
};
EXPORT_SYMBOL(s5p64xx_device_iisv4);
